Subject: bug#47852: closed (Re: [bug#47852] [PATCH 1/2 v6] gnu: Add sc-im.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 22 Nov 2021 21:21:02 +0000

Your bug report

#47852: [PATCH] gnu: Add sc-im

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47852: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47852
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#47852] [PATCH 1/2 v6] gnu: Add sc-im.
From: Leo Famulari <[email-masked]>
To: jgart via Guix-patches via <[email-masked]>
Cc: [email-masked], jgart <[email-masked]>
Date: Mon, 22 Nov 2021 16:20:27 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Nov 18, 2021 at 08:22:18PM -0500, jgart via Guix-patches via wrote:
>     * gnu/packages/spreadsheet-apps.scm: New file.
>     * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.

Thanks!

I pushed as 10fad03fcf6fdd2edbdab5f939e3c0edb11a88e2 with the following
changes:

* I named the module (gnu packages spreadsheet)
* I removed some unused or duplicated module imports
* I removed the visidata module from GNU_SYSTEM_MODULES
* And I specified the licenses without a prefix, since they are not
needed in this module yet. We only need to prefix licenses when there is
a namespace collision between licenses and same-named packages, for
example with 'expat'.

Subject: [PATCH] gnu: Add sc-im
From: "jgart" <[email-masked]>
To: [email-masked]
Cc: Raghav Gururajan <[email-masked]>, [email-masked], Oliver Loaiza <[email-masked]>, [email-masked], [email-masked]
Date: Sat, 17 Apr 2021 21:52:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

Attached is a patch for sc-im, a terminal based spreadsheet program providing a vim-like experience.

I constructed this package starting from a template provided by Ekaitz that I found below dating from over a year ago: 

https://gitlab.com/ekaitz-zarraga/guix-packages/-/blob/master/sc-im.scm

I added Ekaitz as a co-author and added both of our copyrights to the top of the file.

This new version of sc-im is from 16 days ago.

I'm currently getting the following two linter warnings:

the source file name should contain the package name
permanent redirect from https://github.com/andmarti1424/sc-im.git to https://github.com/andmarti1424/sc-im

Any suggestions for what I need to adjust to make those pass?

best regards,

jgart